Update Project Role
Change a project role. The key is not editable. If a key should change, remove the role and create a new one.
Required permission:
project.role.write
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.project.v2.ProjectService/UpdateProjectRole" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "projectId": "string", "roleKey": "string", "displayName": "string" }'{
"changeDate": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
Update Project Grant
Update Project Grant: Change the roles of the project that is granted to another organization. The project grant will allow the granted organization to access the project and manage the authorizations for its users. Req...
Application API
Explore the Application API operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.